CONN_GET_CLIENT_CONNECTION(3)

FUNCTION
conn_get_client_connection - Get a numbered client connection.

SYNOPSIS
#include <karma_conn.h>

Connection conn_get_client_connection

(CONST char *protocol_name, unsigned int number)

DESCRIPTION
This routine will get Nth connection from this client with a specified protocol. The first connection is numbered 0.

protocol_name
    The protocol name.

number
    The number of the connection to get.

RETURN VALUE
The connection object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/